Bug 624903 - (CVE-2010-2942) CVE-2010-2942 kernel: net sched: fix some kernel memory leaks
CVE-2010-2942 kernel: net sched: fix some kernel memory leaks
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
reported=20100818,public=20100817,sou...
: Security
Depends On: 624637 624638 624904 624906 624907 626315 626316
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-17 23:52 EDT by Eugene Teo (Security Response)
Modified: 2016-03-04 06:46 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2010-08-17 23:52:29 EDT
Description of problem:
We leak at least 32bits of kernel memory to user land in tc dump, because we dont init all fields (capab ?) of the dumped structure.

Use C99 initializers so that holes and non explicit fields are zeroed.

http://patchwork.ozlabs.org/patch/61857/
Comment 5 Eugene Teo (Security Response) 2010-08-23 03:39:42 EDT
Statement:

This issue did not affect the version of Linux kernel as shipped with Red Hat
Enterprise Linux 3 as it did not include upstream commit be84c7f6 (history repository) that introduced the problem. A future kernel update in Red Hat Enterprise Linux 4, 5 and Red Hat Enterprise MRG will address this issue.
Comment 6 errata-xmlrpc 2010-09-29 10:54:07 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0723 https://rhn.redhat.com/errata/RHSA-2010-0723.html
Comment 7 errata-xmlrpc 2010-10-14 11:30:24 EDT
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2010:0771 https://rhn.redhat.com/errata/RHSA-2010-0771.html
Comment 8 errata-xmlrpc 2010-10-19 14:48:01 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0779 https://rhn.redhat.com/errata/RHSA-2010-0779.html

Note You need to log in before you can comment on or make changes to this bug.